MozillaZine

Firefox build instructions

Discussion about official Mozilla Firefox builds
daihard
Folder@Home

User avatar
 
Posts: 16633
Joined: November 17th, 2002, 6:27 pm
Location: Lynnwood, WA

Post Posted November 5th, 2003, 9:18 pm

Arctic wrote:Unfortunately, I don't have MS VS at work, so I can't do any debugging, and the error report is practically useless.

It's wierd though, it works perfectly on the computer it was compiled on.

Oh no, please don't tell me you bought your own copy of Visual Studio .NET 2003... That's an awfully expensive piece of software... :omg:
Kubuntu 8.04 (kernel 2.6.24-25-generic) / KDE 3.5.10
CentOS 4.8 (kernel 2.6.9-78.0.22.ELsmp) / KDE 3.5.10
Mac OS X 10.6.1 (Snow Leopard) / iPhone 3GS (32GB black)

Arctic
 
Posts: 7
Joined: October 21st, 2003, 10:32 pm

Post Posted November 5th, 2003, 11:16 pm

I sure did.
But I'm not so sure now if it was a smart investment. Seems like I could be better off with something else.
Anyway, it -does- offer a lot of features (have to comfort myself with something). ;)

I would be a bit happier if I could compile this beast and distribute it, but I can't do that atm. :(

Oh well, I guess I just have to be patient and try several configurations. :)

daihard
Folder@Home

User avatar
 
Posts: 16633
Joined: November 17th, 2002, 6:27 pm
Location: Lynnwood, WA

Post Posted November 5th, 2003, 11:43 pm

Arctic wrote:I sure did.
But I'm not so sure now if it was a smart investment. Seems like I could be better off with something else.
Anyway, it -does- offer a lot of features (have to comfort myself with something). ;)

I would be a bit happier if I could compile this beast and distribute it, but I can't do that atm. :(

Are there any libraries that you have to distribute with Firebird when you compile it using VS .NET 2003, due to the different versions of the libraries that may be on the target platform?
Kubuntu 8.04 (kernel 2.6.24-25-generic) / KDE 3.5.10
CentOS 4.8 (kernel 2.6.9-78.0.22.ELsmp) / KDE 3.5.10
Mac OS X 10.6.1 (Snow Leopard) / iPhone 3GS (32GB black)

Arctic
 
Posts: 7
Joined: October 21st, 2003, 10:32 pm

Post Posted November 6th, 2003, 12:52 am

It's working now, and the only thing I did was to remove the options after the optimization string.
I don't understand why it didn't work though. Both computers should be capable of using a browser optimized with -G7 (I used aebrahims -Oxs -G7 build with no problems).

This really bothers me.

graymate

User avatar
 
Posts: 51
Joined: November 4th, 2003, 6:26 pm

Post Posted November 8th, 2003, 7:59 am

Thanks to the efforts of this community, I've managed to create a decent FB building page, wich will be expanded in the near future to include FB tips & tricks, and so on.

Would you like to give me feedback?

here it is:

http://www.shyborg.net/fb/

avleenvig
 
Posts: 27
Joined: June 14th, 2003, 1:07 pm

Post Posted November 12th, 2003, 12:29 pm

http://silverwraith.com/papers/build-firebird.php has been up for a few months, I've received generally positive feedback for it and the insturctiosn are what I use for the FreeBSD nightlies.

HTH

Lost User 2526
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted November 19th, 2003, 8:45 am

I'm actually building mozilla here, but I didn't see a similar thread on the mozilla app forums. I'm on redhat 9 and have a real simple question, when I do the ./configure I get this error:

*** The gtk-config script installed by GTK could not be found.
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
*** GTK+ is available from ftp://ftp.gtk.org/pub/gtk
configure: error: Test for GTK failed.

what I'm supposed to put is ./configure --prefix=YOUR_GNOME_PREFIX
but I'm totally new to this, what exactly should I put after prefix= ?

Old Persist
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted November 19th, 2003, 12:29 pm

This doesn't make sense to me, could you post the 5 or 10 lines you get before that please?

Lost User 2526
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted November 21st, 2003, 1:41 pm

checking for gtk-config ... no
checking for GTK - version >= 1.2.0 ... no

____________________

I'm on redhat 9, so I have gtk, I think. what do I need?

Old Persist
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted November 21st, 2003, 4:48 pm

So have you got gtk-1.2 installed? It's probably called libgtk-12-devel or something like that if you install it by rpm. Other people know more about Redhat 9. It needs the X windows backend for gtk to, is that called gtk-dev-ximian-something?

UIQ19

User avatar
 
Posts: 38
Joined: September 25th, 2003, 10:29 am
Location: San Benedetto Po - Italy

Post Posted November 27th, 2003, 3:06 pm

I suggest to wait until http://bugzilla.mozilla.org/show_bug.cgi?id=208314 will be totally fixed :-k
UIQ19

TeddyBerlin

User avatar
 
Posts: 340
Joined: August 10th, 2003, 9:53 am
Location: Berlin(Germany)

Post Posted December 3rd, 2003, 12:50 pm

Are there somewhere also explanations into german?
Mine english is too bad.
I do not understand everything.

Heinrich Witt
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b) Gecko/20040309 Firefox/0.8.0+
Mozilla Thunderbird 0.5+ (20040304)

Old Persist
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted December 5th, 2003, 3:00 pm

Code is the same in any language. If you try to build and hit an error then start a thread and post your .mozconfig and the 10 lines before the error. I'm sure people will try to help.

Greg K Nicholson

User avatar
 
Posts: 1328
Joined: September 28th, 2003, 8:58 am

Post Posted December 10th, 2003, 3:48 pm

I'm having a go at building Firebird, using Henrik Gemal's instructions. I've got to the point of actually building the thing and I get:
Code: Select all
checking for windres version >= 2.14.90... 2.13.90
configure: error: windres version 2.14.90 or higher is required to build.
*** Fix above errors and then restart with "make -f client.mk build"
make: *** [/cygdrive/c/mozilla/mozilla/Makefile] Error 1


Does anyone know where I can get windres version>=2.14.90?
(he says, knowledgably...)

nilson

User avatar
 
Posts: 4100
Joined: February 15th, 2003, 11:55 pm
Location: Tuscaloosa, Alabama

Post Posted December 10th, 2003, 5:09 pm

I told him about this like 5 months ago, but he still hasn't updated his site... I'm in the process of updating and reorganizing my documentation to address this issue.

Anyway, windres (Windows Resourse compiler?) comes with MingW Binutils, which the latest (candidate, but required) version of may be found here: http://prdownloads.sf.net/mingw/binutil ... z?download

Return to Firefox Builds


Who is online

Users browsing this forum: No registered users and 2 guests